Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMessageBox.StandardButton

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMessageBox.StandardButton

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMessageBox

    public static final class QMessageBox.StandardButton

extends java.lang.Enum
implements QtEnumerator

These enums describe flags for standard buttons. Each button has a defined `ButtonRole` . The following values are obsolete:

See also:
  `ButtonRole` , and `standardButtons`.

See Also:
  Serialized Form

Field Summary
`static QMessageBox.StandardButton` | `Abort` An "Abort" button defined with the `RejectRole` .
`static QMessageBox.StandardButton` | `Apply` An "Apply" button defined with the `ApplyRole` .
`static QMessageBox.StandardButton` | `ButtonMask`
`static QMessageBox.StandardButton` | `Cancel` A "Cancel" button defined with the `RejectRole` .
`static QMessageBox.StandardButton` | `Close` A "Close" button defined with the `RejectRole` .
`static QMessageBox.StandardButton` | `Default` Use the `defaultButton` argument of `information()`, `warning()`, etc.
`static QMessageBox.StandardButton` | `Discard` A "Discard" or "Don't Save" button, depending on the platform, defined with the `DestructiveRole` .
`static QMessageBox.StandardButton` | `Escape` Call `setEscapeButton()` instead.
`static QMessageBox.StandardButton` | `FlagMask`
`static QMessageBox.StandardButton` | `Help` A "Help" button defined with the `HelpRole` .
`static QMessageBox.StandardButton` | `Ignore` An "Ignore" button defined with the `AcceptRole` .
`static QMessageBox.StandardButton` | `No`
`static QMessageBox.StandardButton` | `NoButton` A "No" button defined with the `NoRole` .
`static QMessageBox.StandardButton` | `NoToAll` A "No to All" button defined with the `NoRole` .
`static QMessageBox.StandardButton` | `Ok` An "OK" button defined with the `AcceptRole` .
`static QMessageBox.StandardButton` | `Open` A "Open" button defined with the `AcceptRole` .
`static QMessageBox.StandardButton` | `Reset` A "Reset" button defined with the `ResetRole` .
`static QMessageBox.StandardButton` | `RestoreDefaults` A "Restore Defaults" button defined with the `ResetRole` .
`static QMessageBox.StandardButton` | `Retry` A "Retry" button defined with the `AcceptRole` .
`static QMessageBox.StandardButton` | `Save` A "Save" button defined with the `AcceptRole` .
`static QMessageBox.StandardButton` | `SaveAll` A "Save All" button defined with the `AcceptRole` .
`static QMessageBox.StandardButton` | `Yes` A "Yes" button defined with the `YesRole` .
`static QMessageBox.StandardButton` | `YesToAll` A "Yes to All" button defined with the `YesRole` .

Method Summary
`static QMessageBox.StandardButtons` | `createQFlags(QMessageBox.StandardButton[] values)` This function creates a com.trolltech.qt.gui.QMessageBox$StandardButtons with the specified `com.trolltech.qt.gui.QMessageBox$StandardButton[]` QMessageBox$StandardButton values set.
`static QMessageBox.StandardButton` | `resolve(int value)` Returns the QMessageBox$StandardButton constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMessageBox.StandardButton` | `valueOf(java.lang.String name)`
`static QMessageBox.StandardButton[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoButton

    public static final QMessageBox.StandardButton NoButton

  A "No" button defined with the `NoRole` .

### Ok

    public static final QMessageBox.StandardButton Ok

  An "OK" button defined with the `AcceptRole` .

### Save

    public static final QMessageBox.StandardButton Save

  A "Save" button defined with the `AcceptRole` .

### SaveAll

    public static final QMessageBox.StandardButton SaveAll

  A "Save All" button defined with the `AcceptRole` .

### Open

    public static final QMessageBox.StandardButton Open

  A "Open" button defined with the `AcceptRole` .

### Yes

    public static final QMessageBox.StandardButton Yes

  A "Yes" button defined with the `YesRole` .

### YesToAll

    public static final QMessageBox.StandardButton YesToAll

  A "Yes to All" button defined with the `YesRole` .

### No

    public static final QMessageBox.StandardButton No

### NoToAll

    public static final QMessageBox.StandardButton NoToAll

  A "No to All" button defined with the `NoRole` .

### Abort

    public static final QMessageBox.StandardButton Abort

  An "Abort" button defined with the `RejectRole` .

### Retry

    public static final QMessageBox.StandardButton Retry

  A "Retry" button defined with the `AcceptRole` .

### Ignore

    public static final QMessageBox.StandardButton Ignore

  An "Ignore" button defined with the `AcceptRole` .

### Close

    public static final QMessageBox.StandardButton Close

  A "Close" button defined with the `RejectRole` .

### Cancel

    public static final QMessageBox.StandardButton Cancel

  A "Cancel" button defined with the `RejectRole` .

### Discard

    public static final QMessageBox.StandardButton Discard

  A "Discard" or "Don't Save" button, depending on the platform, defined with the `DestructiveRole` .

### Help

    public static final QMessageBox.StandardButton Help

  A "Help" button defined with the `HelpRole` .

### Apply

    public static final QMessageBox.StandardButton Apply

  An "Apply" button defined with the `ApplyRole` .

### Reset

    public static final QMessageBox.StandardButton Reset

  A "Reset" button defined with the `ResetRole` .

### RestoreDefaults

    public static final QMessageBox.StandardButton RestoreDefaults

  A "Restore Defaults" button defined with the `ResetRole` .

### Default

    public static final QMessageBox.StandardButton Default

  Use the `defaultButton` argument of `information()`, `warning()`, etc. instead, or call `setDefaultButton()`.

### Escape

    public static final QMessageBox.StandardButton Escape

  Call `setEscapeButton()` instead.

### FlagMask

    public static final QMessageBox.StandardButton FlagMask

### ButtonMask

    public static final QMessageBox.StandardButton ButtonMask

Method Detail

### values

    public static QMessageBox.StandardButton[] values()

### valueOf

    public static QMessageBox.StandardButton valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMessageBox.StandardButtons createQFlags(QMessageBox.StandardButton[] values)

  This function creates a com.trolltech.qt.gui.QMessageBox$StandardButtons with the specified `com.trolltech.qt.gui.QMessageBox$StandardButton[]` QMessageBox$StandardButton values set.

### resolve

    public static QMessageBox.StandardButton resolve(int value)

  Returns the QMessageBox$StandardButton constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD